Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.backend
Class HeartbeatListener

    java.lang.Object
      org.apache.catalina.ha.backend.HeartbeatListener

All Implemented Interfaces:
  ContainerListener, LifecycleListener

    public class HeartbeatListener

extends Object
implements LifecycleListener, ContainerListener

Field Summary
`protected String` | `proxyList` Proxy list, format "address:port,address:port".
`protected String` | `proxyURL` URL prefix.

Constructor Summary
`HeartbeatListener()`

Method Summary
`void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.
`String` | `getGroup()`
`int` | `getMultiport()`
`String` | `getProxyList()`
`String` | `getProxyURL()`
`int` | `getTtl()`
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `setGroup(String ip)`
`void` | `setHost(String host)`
`void` | `setMultiport(int multiport)`
`void` | `setPort(int port)`
`void` | `setProxyList(String proxyList)`
`void` | `setProxyURL(String proxyURL)`
`void` | `setTtl(int ttl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxyList

    protected String proxyList

  Proxy list, format "address:port,address:port".

### proxyURL

    protected String proxyURL

  URL prefix.

Constructor Detail

### HeartbeatListener

    public HeartbeatListener()

Method Detail

### setHost

    public void setHost(String host)

### setPort

    public void setPort(int port)

### setGroup

    public void setGroup(String ip)

### getGroup

    public String getGroup()

### setMultiport

    public void setMultiport(int multiport)

### getMultiport

    public int getMultiport()

### setTtl

    public void setTtl(int ttl)

### getTtl

    public int getTtl()

### getProxyList

    public String getProxyList()

### setProxyList

    public void setProxyList(String proxyList)

### getProxyURL

    public String getProxyURL()

### setProxyURL

    public void setProxyURL(String proxyURL)

### containerEvent

    public void containerEvent(ContainerEvent event)

  Description copied from interface: `ContainerListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `containerEvent` in interface `ContainerListener`
  Parameters:
    `event` - ContainerEvent that has occurred

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.